%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define srcname SimpleTAL

Name:           python-simpletal
Version:        3.13
Release:        1%{?dist}

Summary:        An XML based template processor for TAL, TALES and METAL specifications.

Group:          Development/Libraries
License:        Other
URL:            http://www.owlfish.com/software/simpleTAL/index.html
Source0:        http://www.owlfish.com/software/simpleTAL/downloads/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")

%description
SimpleTAL is a stand alone Python implementation of the TAL, TALES and METAL  specifications  used in Zope to power HTML and XML templates.


%prep
%setup -q -n %{srcname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes.txt LICENSE.txt README.txt examples/
%dir %{python_sitelib}/simpletal
%{python_sitelib}/simpletal/*.py
%{python_sitelib}/simpletal/*.pyc
%ghost %{python_sitelib}/simpletal/*.pyo

%changelog
* Thu Oct 06 2005 Shahms E. King <shahms@shahms.com> 3.13-1
- use srcname and version in Source URL
- update to new upstream version

* Thu May 12 2005 Shahms E. King <shahms@shahms.com> 3.12-4
- rebuilt, add dist tag

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Mar 21 2005 Shahms E. King <shahms@shahms.com> 3.12-2 -
- Misc cleanups

* Tue Mar 01 2005 Shahms E. King <shahms@shahms.com> 3.12-1 -
- Update to 3.12
- Clean up spec file

* Mon Dec 06 2004 Shahms E. King <shahms@shahms.com> -
- Update to 3.11

* Thu May 27 2004 Shahms King <shahms@shahms.com> -
- Initial Release

